/**
 * \file
 *
 * \author Mattia Basaglia
 *
 * \copyright Copyright (C) 2016 Mattia Basaglia
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
#include "document.hpp"
namespace doc {
namespace default_palette {
color_widgets::ColorPalette colors8_dark = QVector<QPair<QColor,QString> >{
    {QColor(0, 0, 0), "black"},
    {QColor(178, 24, 24), "red"},
    {QColor(24, 178, 24), "green"},
    {QColor(178, 104, 24), "yellow"},
    {QColor(59, 59, 255), "blue"},
    {QColor(178, 24, 178), "magenta"},
    {QColor(24, 178, 178), "cyan"},
    {QColor(178, 178, 178), "white"}
};
color_widgets::ColorPalette colors8_bright = QVector<QPair<QColor,QString> >{
    {QColor(104, 104, 104), "black_bright"},
    {QColor(255, 84, 84), "red_bright"},
    {QColor(84, 255, 84), "green_bright"},
    {QColor(214, 214, 70), "yellow_bright"},
    {QColor(84, 84, 255), "blue_bright"},
    {QColor(255, 84, 255), "magenta_bright"},
    {QColor(84, 255, 255), "cyan_bright"},
    {QColor(255, 255, 255), "white_bright"}
};
color_widgets::ColorPalette colors16(
    colors8_dark.colors() + colors8_bright.colors()
);
color_widgets::ColorPalette colors256 = QVector<QPair<QColor,QString> >{
    {QColor(0, 0, 0), "Black"},
    {QColor(128, 0, 0), "Maroon"},
    {QColor(0, 0, 128), "Green"},
    {QColor(128, 0, 128), "Olive"},
    {QColor(0, 128, 0), "Navy"},
    {QColor(128, 128, 0), "Purple"},
    {QColor(0, 128, 128), "Teal"},
    {QColor(192, 192, 192), "Silver"},
    {QColor(128, 128, 128), "Grey"},
    {QColor(255, 0, 0), "Red"},
    {QColor(0, 0, 255), "Lime"},
    {QColor(255, 0, 255), "Yellow"},
    {QColor(0, 255, 0), "Blue"},
    {QColor(255, 255, 0), "Fuchsia"},
    {QColor(0, 255, 255), "Aqua"},
    {QColor(255, 255, 255), "White"},
    {QColor(0, 0, 0), "Grey0"},
    {QColor(0, 95, 0), "NavyBlue"},
    {QColor(0, 135, 0), "DarkBlue"},
    {QColor(0, 175, 0), "Blue3"},
    {QColor(0, 215, 0), "Blue3"},
    {QColor(0, 255, 0), "Blue1"},
    {QColor(0, 0, 95), "DarkGreen"},
    {QColor(0, 95, 95), "DeepSkyBlue4"},
    {QColor(0, 135, 95), "DeepSkyBlue4"},
    {QColor(0, 175, 95), "DeepSkyBlue4"},
    {QColor(0, 215, 95), "DodgerBlue3"},
    {QColor(0, 255, 95), "DodgerBlue2"},
    {QColor(0, 0, 135), "Green4"},
    {QColor(0, 95, 135), "SpringGreen4"},
    {QColor(0, 135, 135), "Turquoise4"},
    {QColor(0, 175, 135), "DeepSkyBlue3"},
    {QColor(0, 215, 135), "DeepSkyBlue3"},
    {QColor(0, 255, 135), "DodgerBlue1"},
    {QColor(0, 0, 175), "Green3"},
    {QColor(0, 95, 175), "SpringGreen3"},
    {QColor(0, 135, 175), "DarkCyan"},
    {QColor(0, 175, 175), "LightSeaGreen"},
    {QColor(0, 215, 175), "DeepSkyBlue2"},
    {QColor(0, 255, 175), "DeepSkyBlue1"},
    {QColor(0, 0, 215), "Green3"},
    {QColor(0, 95, 215), "SpringGreen3"},
    {QColor(0, 135, 215), "SpringGreen2"},
    {QColor(0, 175, 215), "Cyan3"},
    {QColor(0, 215, 215), "DarkTurquoise"},
    {QColor(0, 255, 215), "Turquoise2"},
    {QColor(0, 0, 255), "Green1"},
    {QColor(0, 95, 255), "SpringGreen2"},
    {QColor(0, 135, 255), "SpringGreen1"},
    {QColor(0, 175, 255), "MediumSpringGreen"},
    {QColor(0, 215, 255), "Cyan2"},
    {QColor(0, 255, 255), "Cyan1"},
    {QColor(95, 0, 0), "DarkRed"},
    {QColor(95, 95, 0), "DeepPink4"},
    {QColor(95, 135, 0), "Purple4"},
    {QColor(95, 175, 0), "Purple4"},
    {QColor(95, 215, 0), "Purple3"},
    {QColor(95, 255, 0), "BlueViolet"},
    {QColor(95, 0, 95), "Orange4"},
    {QColor(95, 95, 95), "Grey37"},
    {QColor(95, 135, 95), "MediumPurple4"},
    {QColor(95, 175, 95), "SlateBlue3"},
    {QColor(95, 215, 95), "SlateBlue3"},
    {QColor(95, 255, 95), "RoyalBlue1"},
    {QColor(95, 0, 135), "Chartreuse4"},
    {QColor(95, 95, 135), "DarkSeaGreen4"},
    {QColor(95, 135, 135), "PaleTurquoise4"},
    {QColor(95, 175, 135), "SteelBlue"},
    {QColor(95, 215, 135), "SteelBlue3"},
    {QColor(95, 255, 135), "CornflowerBlue"},
    {QColor(95, 0, 175), "Chartreuse3"},
    {QColor(95, 95, 175), "DarkSeaGreen4"},
    {QColor(95, 135, 175), "CadetBlue"},
    {QColor(95, 175, 175), "CadetBlue"},
    {QColor(95, 215, 175), "SkyBlue3"},
    {QColor(95, 255, 175), "SteelBlue1"},
    {QColor(95, 0, 215), "Chartreuse3"},
    {QColor(95, 95, 215), "PaleGreen3"},
    {QColor(95, 135, 215), "SeaGreen3"},
    {QColor(95, 175, 215), "Aquamarine3"},
    {QColor(95, 215, 215), "MediumTurquoise"},
    {QColor(95, 255, 215), "SteelBlue1"},
    {QColor(95, 0, 255), "Chartreuse2"},
    {QColor(95, 95, 255), "SeaGreen2"},
    {QColor(95, 135, 255), "SeaGreen1"},
    {QColor(95, 175, 255), "SeaGreen1"},
    {QColor(95, 215, 255), "Aquamarine1"},
    {QColor(95, 255, 255), "DarkSlateGray2"},
    {QColor(135, 0, 0), "DarkRed"},
    {QColor(135, 95, 0), "DeepPink4"},
    {QColor(135, 135, 0), "DarkMagenta"},
    {QColor(135, 175, 0), "DarkMagenta"},
    {QColor(135, 215, 0), "DarkViolet"},
    {QColor(135, 255, 0), "Purple"},
    {QColor(135, 0, 95), "Orange4"},
    {QColor(135, 95, 95), "LightPink4"},
    {QColor(135, 135, 95), "Plum4"},
    {QColor(135, 175, 95), "MediumPurple3"},
    {QColor(135, 215, 95), "MediumPurple3"},
    {QColor(135, 255, 95), "SlateBlue1"},
    {QColor(135, 0, 135), "Yellow4"},
    {QColor(135, 95, 135), "Wheat4"},
    {QColor(135, 135, 135), "Grey53"},
    {QColor(135, 175, 135), "LightSlateGrey"},
    {QColor(135, 215, 135), "MediumPurple"},
    {QColor(135, 255, 135), "LightSlateBlue"},
    {QColor(135, 0, 175), "Yellow4"},
    {QColor(135, 95, 175), "DarkOliveGreen3"},
    {QColor(135, 135, 175), "DarkSeaGreen"},
    {QColor(135, 175, 175), "LightSkyBlue3"},
    {QColor(135, 215, 175), "LightSkyBlue3"},
    {QColor(135, 255, 175), "SkyBlue2"},
    {QColor(135, 0, 215), "Chartreuse2"},
    {QColor(135, 95, 215), "DarkOliveGreen3"},
    {QColor(135, 135, 215), "PaleGreen3"},
    {QColor(135, 175, 215), "DarkSeaGreen3"},
    {QColor(135, 215, 215), "DarkSlateGray3"},
    {QColor(135, 255, 215), "SkyBlue1"},
    {QColor(135, 0, 255), "Chartreuse1"},
    {QColor(135, 95, 255), "LightGreen"},
    {QColor(135, 135, 255), "LightGreen"},
    {QColor(135, 175, 255), "PaleGreen1"},
    {QColor(135, 215, 255), "Aquamarine1"},
    {QColor(135, 255, 255), "DarkSlateGray1"},
    {QColor(175, 0, 0), "Red3"},
    {QColor(175, 95, 0), "DeepPink4"},
    {QColor(175, 135, 0), "MediumVioletRed"},
    {QColor(175, 175, 0), "Magenta3"},
    {QColor(175, 215, 0), "DarkViolet"},
    {QColor(175, 255, 0), "Purple"},
    {QColor(175, 0, 95), "DarkOrange3"},
    {QColor(175, 95, 95), "IndianRed"},
    {QColor(175, 135, 95), "HotPink3"},
    {QColor(175, 175, 95), "MediumOrchid3"},
    {QColor(175, 215, 95), "MediumOrchid"},
    {QColor(175, 255, 95), "MediumPurple2"},
    {QColor(175, 0, 135), "DarkGoldenrod"},
    {QColor(175, 95, 135), "LightSalmon3"},
    {QColor(175, 135, 135), "RosyBrown"},
    {QColor(175, 175, 135), "Grey63"},
    {QColor(175, 215, 135), "MediumPurple2"},
    {QColor(175, 255, 135), "MediumPurple1"},
    {QColor(175, 0, 175), "Gold3"},
    {QColor(175, 95, 175), "DarkKhaki"},
    {QColor(175, 135, 175), "NavajoWhite3"},
    {QColor(175, 175, 175), "Grey69"},
    {QColor(175, 215, 175), "LightSteelBlue3"},
    {QColor(175, 255, 175), "LightSteelBlue"},
    {QColor(175, 0, 215), "Yellow3"},
    {QColor(175, 95, 215), "DarkOliveGreen3"},
    {QColor(175, 135, 215), "DarkSeaGreen3"},
    {QColor(175, 175, 215), "DarkSeaGreen2"},
    {QColor(175, 215, 215), "LightCyan3"},
    {QColor(175, 255, 215), "LightSkyBlue1"},
    {QColor(175, 0, 255), "GreenYellow"},
    {QColor(175, 95, 255), "DarkOliveGreen2"},
    {QColor(175, 135, 255), "PaleGreen1"},
    {QColor(175, 175, 255), "DarkSeaGreen2"},
    {QColor(175, 215, 255), "DarkSeaGreen1"},
    {QColor(175, 255, 255), "PaleTurquoise1"},
    {QColor(215, 0, 0), "Red3"},
    {QColor(215, 95, 0), "DeepPink3"},
    {QColor(215, 135, 0), "DeepPink3"},
    {QColor(215, 175, 0), "Magenta3"},
    {QColor(215, 215, 0), "Magenta3"},
    {QColor(215, 255, 0), "Magenta2"},
    {QColor(215, 0, 95), "DarkOrange3"},
    {QColor(215, 95, 95), "IndianRed"},
    {QColor(215, 135, 95), "HotPink3"},
    {QColor(215, 175, 95), "HotPink2"},
    {QColor(215, 215, 95), "Orchid"},
    {QColor(215, 255, 95), "MediumOrchid1"},
    {QColor(215, 0, 135), "Orange3"},
    {QColor(215, 95, 135), "LightSalmon3"},
    {QColor(215, 135, 135), "LightPink3"},
    {QColor(215, 175, 135), "Pink3"},
    {QColor(215, 215, 135), "Plum3"},
    {QColor(215, 255, 135), "Violet"},
    {QColor(215, 0, 175), "Gold3"},
    {QColor(215, 95, 175), "LightGoldenrod3"},
    {QColor(215, 135, 175), "Tan"},
    {QColor(215, 175, 175), "MistyRose3"},
    {QColor(215, 215, 175), "Thistle3"},
    {QColor(215, 255, 175), "Plum2"},
    {QColor(215, 0, 215), "Yellow3"},
    {QColor(215, 95, 215), "Khaki3"},
    {QColor(215, 135, 215), "LightGoldenrod2"},
    {QColor(215, 175, 215), "LightYellow3"},
    {QColor(215, 215, 215), "Grey84"},
    {QColor(215, 255, 215), "LightSteelBlue1"},
    {QColor(215, 0, 255), "Yellow2"},
    {QColor(215, 95, 255), "DarkOliveGreen1"},
    {QColor(215, 135, 255), "DarkOliveGreen1"},
    {QColor(215, 175, 255), "DarkSeaGreen1"},
    {QColor(215, 215, 255), "Honeydew2"},
    {QColor(215, 255, 255), "LightCyan1"},
    {QColor(255, 0, 0), "Red1"},
    {QColor(255, 95, 0), "DeepPink2"},
    {QColor(255, 135, 0), "DeepPink1"},
    {QColor(255, 175, 0), "DeepPink1"},
    {QColor(255, 215, 0), "Magenta2"},
    {QColor(255, 255, 0), "Magenta1"},
    {QColor(255, 0, 95), "OrangeRed1"},
    {QColor(255, 95, 95), "IndianRed1"},
    {QColor(255, 135, 95), "IndianRed1"},
    {QColor(255, 175, 95), "HotPink"},
    {QColor(255, 215, 95), "HotPink"},
    {QColor(255, 255, 95), "MediumOrchid1"},
    {QColor(255, 0, 135), "DarkOrange"},
    {QColor(255, 95, 135), "Salmon1"},
    {QColor(255, 135, 135), "LightCoral"},
    {QColor(255, 175, 135), "PaleVioletRed1"},
    {QColor(255, 215, 135), "Orchid2"},
    {QColor(255, 255, 135), "Orchid1"},
    {QColor(255, 0, 175), "Orange1"},
    {QColor(255, 95, 175), "SandyBrown"},
    {QColor(255, 135, 175), "LightSalmon1"},
    {QColor(255, 175, 175), "LightPink1"},
    {QColor(255, 215, 175), "Pink1"},
    {QColor(255, 255, 175), "Plum1"},
    {QColor(255, 0, 215), "Gold1"},
    {QColor(255, 95, 215), "LightGoldenrod2"},
    {QColor(255, 135, 215), "LightGoldenrod2"},
    {QColor(255, 175, 215), "NavajoWhite1"},
    {QColor(255, 215, 215), "MistyRose1"},
    {QColor(255, 255, 215), "Thistle1"},
    {QColor(255, 0, 255), "Yellow1"},
    {QColor(255, 95, 255), "LightGoldenrod1"},
    {QColor(255, 135, 255), "Khaki1"},
    {QColor(255, 175, 255), "Wheat1"},
    {QColor(255, 215, 255), "Cornsilk1"},
    {QColor(255, 255, 255), "Grey100"},
    {QColor(8, 8, 8), "Grey3"},
    {QColor(18, 18, 18), "Grey7"},
    {QColor(28, 28, 28), "Grey11"},
    {QColor(38, 38, 38), "Grey15"},
    {QColor(48, 48, 48), "Grey19"},
    {QColor(58, 58, 58), "Grey23"},
    {QColor(68, 68, 68), "Grey27"},
    {QColor(78, 78, 78), "Grey30"},
    {QColor(88, 88, 88), "Grey35"},
    {QColor(98, 98, 98), "Grey39"},
    {QColor(108, 108, 108), "Grey42"},
    {QColor(118, 118, 118), "Grey46"},
    {QColor(128, 128, 128), "Grey50"},
    {QColor(138, 138, 138), "Grey54"},
    {QColor(148, 148, 148), "Grey58"},
    {QColor(158, 158, 158), "Grey62"},
    {QColor(168, 168, 168), "Grey66"},
    {QColor(178, 178, 178), "Grey70"},
    {QColor(188, 188, 188), "Grey74"},
    {QColor(198, 198, 198), "Grey78"},
    {QColor(208, 208, 208), "Grey82"},
    {QColor(218, 218, 218), "Grey85"},
    {QColor(228, 228, 228), "Grey89"},
    {QColor(238, 238, 238), "Grey93"},
};


} // namespace default_palette
} // namespace doc
